SFML 3.1.0
Loading...
Searching...
No Matches
Classes | Namespaces | Functions
Dns.hpp File Reference
`#include <SFML/Network/Export.hpp>`
`#include <SFML/Network/IpAddress.hpp>`
`#include <SFML/System/String.hpp>`
`#include <SFML/System/Time.hpp>`
`#include <optional>`
`#include <vector>`
`#include <cstdint>`

Go to the source code of this file.

## Classes
struct | sf::Dns::MxRecord
| A DNS MX record. More...
struct | sf::Dns::SrvRecord
| A DNS SRV record. More...

## Namespaces
namespace | sf
namespace | sf::Dns
| Perform Domain Name System queries to lookup DNS records for various purposes.

## Functions
std::optional< std::vector< IpAddress > > | sf::Dns::resolve (const sf::String &hostname, const std::vector< sf::IpAddress > &servers={}, std::optional< sf::Time > timeout=sf::seconds(1))
| Resolve a hostname into a list of IP addresses.
std::vector< sf::String > | sf::Dns::queryNs (const sf::String &hostname, const std::vector< sf::IpAddress > &servers={}, std::optional< sf::Time > timeout=sf::seconds(1))
| Query NS records for a hostname.
std::vector< MxRecord > | sf::Dns::queryMx (const sf::String &hostname, const std::vector< sf::IpAddress > &servers={}, std::optional< sf::Time > timeout=sf::seconds(1))
| Query MX records for a hostname.
std::vector< SrvRecord > | sf::Dns::querySrv (const sf::String &hostname, const std::vector< sf::IpAddress > &servers={}, std::optional< sf::Time > timeout=sf::seconds(1))
| Query SRV records for a hostname.
std::vector< std::vector< sf::String > > | sf::Dns::queryTxt (const sf::String &hostname, const std::vector< sf::IpAddress > &servers={}, std::optional< sf::Time > timeout=sf::seconds(1))
| Query TXT records for a hostname.
std::optional< IpAddress > | sf::Dns::getPublicAddress (std::optional< Time > timeout=std::nullopt, IpAddress::Type type=IpAddress::Type::IpV4)
| Get the computer's public address via DNS.